> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.iklim.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Kaydı sil

> UUID ile tahmin alarm kaydını siler.



## OpenAPI

````yaml /open-api/tr/forecast-alarm_version-1.json delete /v1/alarms/forecasts/unregister/{registrationId}
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.iklim.co
    description: Production server
  - url: https://api-test.iklim.co
    description: Test server
security: []
tags:
  - name: Tahmin Nokta Alarm Kayıtları
    description: Tahmin nokta alarm kayıtları için CRUD ve sorgulama uç noktaları
paths:
  /v1/alarms/forecasts/unregister/{registrationId}:
    delete:
      tags:
        - Tahmin Nokta Alarm Kayıtları
      summary: Kaydı sil
      description: UUID ile tahmin alarm kaydını siler.
      operationId: unRegister
      parameters:
        - name: registrationId
          in: path
          description: Kayıt UUID’si.
          required: true
          schema:
            type: string
          example: f7587d9e-2481-4b4c-818d-c8d1946851b7
      responses:
        '200':
          description: Başarılı
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '500':
          description: Internal Server Error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
components:
  schemas:
    StandardErrorResponse:
      type: object
      description: Standart API hata cevabı yapısı
      properties:
        timestamp:
          type: string
          format: date-time
          description: Hatanın oluştuğu zaman damgası
          example: YYYY-mm-DDTHH:MM:SS.nnnnnnnnn
        status:
          type: integer
          format: int32
          description: HTTP durum kodu
          example: XXX
        error:
          type: string
          description: Hata adı veya tipi
          example: Error Name
          minLength: 1
        message:
          type: string
          description: Ana hata mesajı
          example: Error Message
          minLength: 1
        messages:
          type: array
          description: Ek detaylı hata mesajları
          items:
            type: string
        path:
          type: string
          description: Hatanın oluştuğu istek yolu
          example: /endpoint/uri/here
          minLength: 1
      required:
        - error
        - message
        - path
        - status
        - timestamp

````